Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class SSTableTracker

    java.lang.Object
      org.apache.cassandra.io.SSTableTracker

All Implemented Interfaces:
  java.lang.Iterable<SSTableReader>

    public class SSTableTracker

extends java.lang.Object
implements java.lang.Iterable<SSTableReader>

Nested Class Summary
`protected class` | `SSTableTracker.CacheWriter<K,V>`

Constructor Summary
`SSTableTracker(java.lang.String ksname, java.lang.String cfname)`

Method Summary
`void` | `add(java.lang.Iterable<SSTableReader> sstables)`
`void` | `clearUnsafe()`
`long` | `estimatedKeys()`
`JMXInstrumentedCache<Pair<java.lang.String,DecoratedKey>,SSTable.PositionSize>` | `getKeyCache()`
`long` | `getLiveSize()`
`JMXInstrumentedCache<java.lang.String,ColumnFamily>` | `getRowCache()`
`java.util.Set<SSTableReader>` | `getSSTables()`
`long` | `getTotalSize()`
`java.util.Iterator<SSTableReader>` | `iterator()`
`void` | `markCompacted(java.util.Collection<SSTableReader> compacted)`
`void` | `replace(java.util.Collection<SSTableReader> oldSSTables, java.lang.Iterable<SSTableReader> replacements)`
`void` | `saveKeyCache()`
`void` | `saveRowCache()`
`int` | `size()`
`void` | `spaceReclaimed(long size)`
`void` | `updateCacheSizes()` Resizes the key and row caches based on the current key estimate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableTracker

    public SSTableTracker(java.lang.String ksname,
                          java.lang.String cfname)

Method Detail

### saveKeyCache

    public void saveKeyCache()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveRowCache

    public void saveRowCache()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### replace

    public void replace(java.util.Collection<SSTableReader> oldSSTables,
                        java.lang.Iterable<SSTableReader> replacements)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(java.lang.Iterable<SSTableReader> sstables)

### markCompacted

    public void markCompacted(java.util.Collection<SSTableReader> compacted)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### updateCacheSizes

    public void updateCacheSizes()

  Resizes the key and row caches based on the current key estimate.

### getSSTables

    public java.util.Set<SSTableReader> getSSTables()

### size

    public int size()

### iterator

    public java.util.Iterator<SSTableReader> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<SSTableReader>`

### clearUnsafe

    public void clearUnsafe()

### getRowCache

    public JMXInstrumentedCache<java.lang.String,ColumnFamily> getRowCache()

### estimatedKeys

    public long estimatedKeys()

### getLiveSize

    public long getLiveSize()

### getTotalSize

    public long getTotalSize()

### spaceReclaimed

    public void spaceReclaimed(long size)

### getKeyCache

    public JMXInstrumentedCache<Pair<java.lang.String,DecoratedKey>,SSTable.PositionSize> getKeyCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation